## org.apache.bcel.generic
Class LMUL

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.ArithmeticInstruction
                  |
                  +--org.apache.bcel.generic.LMUL

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, StackConsumer, StackProducer, TypedInstruction

public class LMUL
extends ArithmeticInstruction

LMUL - Multiply longs

    Stack: ..., value1.word1, value1.word2, value2.word1, value2.word2 ->

..., result.word1, result.word2

Version:
  $Id: LMUL.java,v 1.1.1.1 2001/10/29 20:00:22 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`LMUL()`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.ArithmeticInstruction
`getType`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, getLength, getOpcode, initFromFile, produceStack, readInstruction, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### LMUL

    public LMUL()

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
  Overrides:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object